#!/usr/bin/perl -w
#   Settings file for servo and application specific limits
#   Copyright (C) <2015>  <Rolf Jethon>
#
#   This program is free software: you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation, either version 3 of the License, or
#   (at your option) any later version.
#
#   This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with this program.  If not, see <http://www.gnu.org/licenses/>.

package ConfigL;
our $VERSION = '0.01';
# common configuration file
#--------------------------------- globally used constants ---------------------------------
$serialport="/dev/ttyS3";                       # serial port to read the joystick from
$i2cport="/dev/i2c-0";                          # i2c port to send the servo movements to
$pwm_res=4096;                                  # the resolution of the PCA9685 PWM
$i2c_address=0x40;                              # the I2C Address of the PWM Board 
$i2c_freq=50;                                   # the frequency of the PWM in Hz
$debug=0;                                       # debug mode switch
$servores=4096;                                 # the virtual resolution of the servos
$num_servos=8;                                  # number of servos in use (max 16)
$joystick_x_start=130;                          # The joystick x mechanical start limit value
$joystick_x_end=628;                            # The joystick x mechanical end limit value
$joystick_y_start=130;                          # The joystick y mechanical start limit value
$joystick_y_end=608;                            # The joystick y mechanical end limit value

# The following anonymous array represents the servo limit positions in pulses of a maximum of $servores
#----------------Servostart,Servoend,invert,servolimit start,servolimit end,label-----------------------
# servolimit is the mechanical stop limit of the servo itself, that must not be exceeded
# servostart and servoend (min. 0 - max. $servores) is the mechanical limit within the application that must not be exceeded
# label refelects the servo function within the application
$servosettings=[[120,244,1,120,600,'Lid rechts'],                   # Servo 0 Lid rechts
                [280,440,0,120,600,'Lid links'],                    # Servo 1 Lid links
                [120,520,1,120,600,'Augen L-R'],                    # Servo 2 Augen L-R
                [120,380,1,120,600,'Augen oben-unten'],             # Servo 3 Augen oben-unten
                [120,440,1,120,600,'Schielen'],                     # Servo 4 Schielen gerade-schielen 
                [230,540,0,120,600,'Brauen'],                       # Servo 5 Brauen oben-unten
                [120,600,0,120,600,'Mund zu-auf'],                  # Servo 6 Mund zu-offen
                [120,460,1,120,600,'Mundwinkel'],                   # Servo 7 Mundwinkel oben-unten
                [150,550,0,120,600,'unbelegt'],                     # Servo 8
                [150,550,0,120,600,'unbelegt'],                     # Servo 9
                [150,550,0,120,600,'unbelegt'],                     # Servo 10
                [150,550,0,120,600,'unbelegt'],                     # Servo 11
                [150,550,0,120,600,'unbelegt'],                     # Servo 12
                [150,550,0,120,600,'unbelegt'],                     # Servo 13
                [150,550,0,120,600,'unbelegt'],                     # Servo 14
                [150,550,0,120,600,'unbelegt']];                    # Servo 15
